#### D.5.3.2 MVComplex

Procedure from library `deRham.lib` (see deRham_lib).

Usage:
  MVComplex(L); L a list of polynomials

Assume:
  -Basering is a polynomial ring with n vwariables and rational coefficients -L is a list of non-constant polynomials

Return:
  ring W: the nth Weyl algebra
  W contains a list MV, which represents the Mayer-Vietrois complex (C^i,d^i) of the polynomials contained in L as follows:
  the C^i are given by D_n^ncols(C[2*i-1])/im(C[2*i-1]) and the differentials d^i are given by C[2*i]

Example:

    LIB "deRham.lib";
    ring r = 0,(x,y,z),dp;
    list L=xy,xz;
    def C=MVComplex(L);
    setring C;
    MV;
    ==> [1]:
    ==>    _[1,1]=D(3)
    ==>    _[1,2]=0
    ==>    _[2,1]=x(1)*D(1)+1
    ==>    _[2,2]=0
    ==>    _[3,1]=-x(2)*D(2)-1
    ==>    _[3,2]=0
    ==>    _[4,1]=0
    ==>    _[4,2]=D(2)
    ==>    _[5,1]=0
    ==>    _[5,2]=x(1)*D(1)+1
    ==>    _[6,1]=0
    ==>    _[6,2]=-x(3)*D(3)-1
    ==> [2]:
    ==>    _[1,1]=-x(1)*x(3)
    ==>    _[2,1]=x(1)*x(2)
    ==> [3]:
    ==>    _[1,1]=x(2)*D(2)+1
    ==>    _[2,1]=x(1)*D(1)+2
    ==>    _[3,1]=-x(3)*D(3)-1
    ==> [4]:
    ==>    _[1,1]=0

User manual for Singular version 4.4.1, 2025, generated by texi2html.